#ifndef __MODESWITCH_H
#define __MODESWITCH_H




typedef enum MODESWITCH_mode_enum 
{
  MODE_MAINSWITCH = 0, 
  MODE_MAINSWITCH_SECONDARYPROTECTION,
  MODE_MAINSWITCH_OVP_LVP, 
  MODE_MAINSWITCH_OVP,
  MODE_MAINSWITCH_LVP,  
} MODESWITCH_mode_t;


MODESWITCH_mode_t MODESWITCH_ReadMode(void);
MODESWITCH_mode_t MODESWITCH_GetMode(void);






#endif
